ADOdb

Database Abstraction Layer for PHP

User Tools

Site Tools


v5:php_compatibility_status

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
Next revision Both sides next revision
v5:php_compatibility_status [2018/08/01 04:00]
mnewnham Updated entry 7.3, updated test status
v5:php_compatibility_status [2021/03/01 10:12]
dregad [Addressing Issues]
Line 1: Line 1:
-====== PHP ====== +====== PHP Compatibility Status ======
-===== Versions 7.0,7.1,7.2 ===== +
-**PHP 7 is fully supported** (up to version 7.2) in the latest [[https://github.com/ADOdb/ADOdb/releases/latest|ADOdb Stable Release]] (5.20.12 or later), as well as in the 5.21 Development release (//master// branch). +
  
-===== Version 7.3+ ===== +===== PHP 8 =====
-The current roadmap is that issues related to PHP 7.3 and higher will only be fixed in ADOdb version 5.21+. +
  
-===== Legacy Version Support =====+PHP 8 has been released on 26-Nov-2020, and is fully supported in ADOdb 5.21.0 and later.  
 + 
 +See the [[https://github.com/ADOdb/ADOdb/labels/PHP8|list of reported compatibility issues]].  
 + 
 +===== PHP 7 ===== 
 + 
 +PHP 7 is **fully supported** since 5.20.12. 
 + 
 +==== Versions 7.0 to 7.3 ==== 
 + 
 +All the [[https://github.com/ADOdb/ADOdb/issues?q=is%3Aclosed+label%3Aphp7|reported issues]] have been fixed. 
 + 
 +==== Version 7.4 ==== 
 +Fully Supported drivers appear to work correctly in this version, although there has been no formal testing. 
 + 
 +==== Legacy ADOdb Versions Support ====
 Please note that there are no plans to implement PHP 7 support in ADOdb legacy versions (5.19 and older). Please note that there are no plans to implement PHP 7 support in ADOdb legacy versions (5.19 and older).
  
 ===== Reporting Issues ===== ===== Reporting Issues =====
  
-Should you discover any PHP 7 incompatibility in ADOdb, kindly [[https://github.com/ADOdb/ADOdb/issues/new?labels=php7|report the issue in our tracker]].+Should you discover any PHP compatibility issue in ADOdb, kindly [[https://github.com/ADOdb/ADOdb/issues/new?labels=php8|report the issue in our tracker]].
  
 ===== Addressing Issues ===== ===== Addressing Issues =====
  
-Any PHP compatibility issues found are released as Hotfixes to the current stable release, so please make sure you are using the most recent version. +Any PHP compatibility issues found are released as Hotfixes((Hotfix releases are drop-in replacements to earlier versions of the same release number)) to the current stable release, so please make sure you are using the most recent version.  
 + 
 +You can check the current status of PHP compatibility issues on the Github Issue Tracker:
  
-Hotfix releases are drop-in replacements to earlier versions of the same release numberYou can check the current status of PHP 7 issues on the [[https://github.com/ADOdb/ADOdb/labels/php7|Github Issue Tracker]].+  * [[https://github.com/ADOdb/ADOdb/labels/php8|PHP8]] 
 +  * [[https://github.com/ADOdb/ADOdb/labels/php7|PHP7]]
  
 ===== Upgrading From Earlier Releases ===== ===== Upgrading From Earlier Releases =====
Line 27: Line 42:
 ===== Package Testing Status ===== ===== Package Testing Status =====
  
-heavy use drivers are: mysqli,mssql,mssqlnative,oci8,postgres,sqlite, db2 + pdo variants+Heavy use drivers are the //tier 1// driversplus their PDO variants:  
 +{{topic>tier1}}
  
 ^Package^Status| ^Package^Status|
v5/php_compatibility_status.txt · Last modified: 2022/01/18 09:34 by dregad